local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Jewelcrafting(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Jewelcrafting")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


-- Introduction

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Jewelcrafting is by far a great profession in order to make gold on the regular as well as throughout a current expansion. With it's multiple ways on generating gold we will take a look at some of the keynote ways we can make gold with this profession.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Prospecting


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Prospecting:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("It goes as no surprise when I say that, Prospecting one easy way of making gold for very little effort involved. This process is done but taking an Ore which can be farmed through the Mining profession and then prospected for that Ore's respective expansion gems. These can either can sold directly for a profit or failing that cut into there gems to sell for more. This depends on a few factors of weather the gems can be prospected for a profit or cut for more gold. Sell rate is involved with this as we get into older expansions but typically you will want to cut only the current expansion gems.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("As for prospecting as a whole, we have two ways prospecting is done. The first is the basic prospect  five ore at a time for some gems which cannot be automated and will require a macro:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

local MultiLineEditBox = AceGUI:Create("MultiLineEditBox")
MultiLineEditBox:SetLabel("Prospecting Macro")
MultiLineEditBox:SetText("/cast Prospecting /use Saronite Ore")
MultiLineEditBox:SetWidth(350)
MultiLineEditBox:SetNumLines(4)
scroll:AddChild(MultiLineEditBox)  

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("the next method is to use Mass prospecting which got introduced to us by the Legion expansion. This is where we can have thousands of ore and be able to press the “Create All” button, which in turn will prospect all the ore we have in our bags unless stated otherwise. This definitely has made life easier for the Jewelcrafter and with this ability we can prospect more ore without sitting there for ages manually pressing the button.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Typically we would want to get either the previous expansion or Current Expansion ore and Mass Prospect these ores as they will have the highest chance of sales. With current expansion gems we will find of course they will sell fast on the auction house but it is definitely worth checking to see if it is more profitable to cut the gems after prospecting or using them to make crafted items for a profit.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Crafted Items

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafted Items:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Crafted items in Jewelcrafting is one of the best way to make gold with this profession as you most likely will be crafting Necklaces and Rings which are always in demand especially if you are crafting the ones for the current expansion. Combining this with your prospecting ( if it provides a profit.) you will want to use those gems to make the Necks and Rings and sell them on as usually they will sell faster and sell for more gold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("The though you can create the low item level Rings and Necks, this is not advised unless you have already established yourself into the highest item level ones first. This is because the highest item level crafts will typically sell for the most amount of gold and be able to sell for the most profit if materials are sourced in the right manor. Though we will see fluctuations overall with these as a expansion progresses and newer recipes come out you will want to stay ahead of curve in this respect and keep crafting what you have already started crating but making sure you prioritise the highest item level ones the most as these will have the best return on average.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Gems

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Gems:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we move into the Gem market. Well, this market is one that you can pretty much start doing almost immediately and start pulling in gold. This is by either buying gems off of the auction house or prospecting the expansion ore for gems and then cutting them for a profit. This is definitely a market which you win with volume and as such, when you produce cut gems you will want to sell multiple at a time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("The best nights for cutting and sourcing gems is generally on a Monday because supply goes down over the weekend as everyone is raiding and up grading gear. Overall there is a trend of the price going down throughout the couple of days after the weekend and this is where we would want to sources out gems and ore.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("As for selling our gems (once cut), we would want to look at selling these on Raid Nights, other wise known as weekly resets. This is because more people buy on that day which is the perfect time to start selling. This also goes as know surprise as weekends tend to sell about the same rate, so if you are looking to sell masses of gems at a time those days are ideal for higher sales. Prices of gems do fluctuate so it is worth remembering as offsetting losses by crafting a variety of gems at any one given time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Panther Mounts

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Panther Mounts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now for Panthers, these are one of the staple crafted mounts. You first obtain the recipe from the Quartermaster of “The Order of the Cloud Serpent”. Two recipes can be purchased at reputation Revered and another three at Exulted. To get your reputation to max as fast as possible, you will need to farm Onyx Eggs after you have done the intro quest in the jade forest for the Cloud Serpents. These Onyx Eggs are found just off of the shore on a small archipelago in the jade forest. However this will take a while but it is definitely the fastest way to level you your reputation to get the recipes.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("For crafting Panther mounts you will be required to obtain:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Living Steel: x4")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("◦ Trillium Bar: x12")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("◦ Spirit Of Harmony: x12")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Primordial Ruby, Sun's Radiance, Wild Jade, River's Heart: x20")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("◦ Pandarian Garnet, Lapis Lazuli, Alexandrite, Sunstone: x20")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("◦ Golden Lotus: x20")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Serpents Eye: x2")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("◦ Spirit Of Harmony: x2")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Starting off with Living Steel we can break this down by utilising our Alchemy for the Riddle Steel craft as this will not have a cooldown for the amount of Living Steel we can create. However we can further make use of this craft by once again using the 20% proc rate of the Transmutation Master ability to create more Living Steel for future crafts of this mount bringing the overall mounts crafting price down into the future.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("As for the Gems we will be wanting to either source these from the auction house but in most cases these are over priced and will cost you more then using Alchemy once again for this with the transmutes. For example we can take one Golden Lotus, one Lapis Lazuli and then transmuting them at know cooldown for the higher gem of River's Heart which we can create for a reduced price making the crafted mount more cost effective. Along with this we should already have our Transmutation Master which we used for the Riddle Steel craft and thus we can get more gems for future crafts of these mounts reducing the cost of these mount even more.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we will be wanting to source Serpents Eye's, this can be created quite easily for prospecting Ghost Iron Ore. However we can also buy these direct from the auction house depending on the price of course. You can also source these from the Spirit of Harmony vendor in the Vale of Eternal Blossoms for a one to one ratio and if proven cheaper will make it more cost effective to source your materials.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Finally we can look at the Orb of Mystery which can be bought from Big Keech in the Vale of Eternal Blossoms once again but this will cost you a flat rate of 20,000 gold per mount crafted meaning that your mount will always cost you at least 20,000 gold no matter if you farmed all of the materials yourself, so that I something you may want to bare in mind before doing this craft into the future.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
























end